import { ProjectGraph } from '../config/project-graph';
import type { Target } from '../command-line/run/run';
export declare class HashPlanInspector {
    private readonly nxJson;
    private projectGraph;
    private projectGraphRef;
    private planner;
    private inspector;
    constructor(nxJson: import("../config/nx-json").NxJsonConfiguration<string[] | "*">, projectGraph: ProjectGraph);
    init(): Promise<void>;
    inspectHashPlan({ project, target, configuration }: Target): Record<string, string[]>;
}
